/* Custom Projects Archive Page */
.progetto-archivio-content {
    padding  : var(--side-spacer);
    position : relative;
    align-items: start;
}
.sidebar {
    position: sticky;
}
.sidebar-archivio-item {
    border-bottom  : 1px solid var(--dark);
    display        : block;
    font           : var(--serif);
    padding        : 1rem 0;
    pointer-events : all;
}
.sidebar-archivio-item:hover {
    color : var(--accent);
}
/* Archive Page Intro */
.progetto-archivio-title {
    font : var(--serif-l);
    margin-bottom : 0.25rem;
}
.progetto-archivio-intro {
    font : var(--sans-m);
    margin-bottom : 1rem;
}
/* Single Edition Block */
.progetto-archivio-edizione {
    position : relative;
}
.progetto-archivio-edizione::after {
    content : "";
    position: absolute;
    inset: 0;
    background: linear-gradient(to top, rgba(0,0,0) , transparent 10%);
    pointer-events: none;
}
.progetto-edizione-info {
    position : absolute;
    bottom   : 0;
    left     : 0;
    right    : 0;
    padding  : 0.5rem;
    display : grid;
    grid-template-columns: auto 1fr auto;
    z-index : 1;
    align-items: center;
}
.progetto-edizione-year {
    position : absolute;
    bottom   : 1rem;
    left     : 1rem;
    z-index  : 1;
    color    : var(--light);
}
.progetto-edizione-index {
    position : absolute;
    bottom   : 1rem;
    right    : 1rem;
    z-index  : 1;
    color    : var(--light);
}
.progetto-edizione-buttons {
    color           : var(--light);
    display         : flex;
    justify-content : center;
    gap             : 0.5rem;
    position        : absolute;
    bottom          : 1rem;
    right           : 0;
    left            : 0;
    z-index         : 1;
}
.progetto-edizione-index,
.progetto-edizione-year {
    font : var(--sans-m);
}
.progetto-edizione-slide {
    height: 70vmin;
}
.progetto-edizione-image {
    width: auto;
    height: 100%;
}
/* Hide On Mobile */
@media (width <= 1100px) {
    #progetto-archivio-wrapper {
    }
    .sidebar { display : none; }
}
/* Mobile Adjustments */
@media (width < 700px) {
    
    .progetto-edizione-buttons {
        color                 : var(--dark);
        display               : grid;
        grid-template-columns : 1fr 1fr;
        gap                   : 0.5rem;
        position              : static;
        z-index               : 1;
        margin-top            : 0.5rem;
    }

    .progetto-archivio-edizione::after {
        content : unset;
    }

    .progetto-edizione-year {
        position       : static;
        font           : var(--nav);
        color          : var(--light);
        text-transform : uppercase;
        background     : var(--dark);
        padding        : 0.25rem 0.5rem;
        margin-bottom  : 0.5rem;
    }

    .progetto-edizione-index {
        display: none;
    }

}